"create"
********


Description
===========

Creates a new database in the given DB System.


Usage
=====

   oci db database create [OPTIONS]


Required Parameters
===================

--admin-password [text]

A strong password for SYS, SYSTEM, and PDB Admin. The password must be
at least nine characters and contain at least two uppercase, two
lowercase, two numbers, and two special characters. The special
characters must be _, #, or -.

--db-name [text]

The database name. It must begin with an alphabetic character and can
contain a maximum of eight alphanumeric characters. Special characters
are not permitted.


Optional Parameters
===================

--auto-backup-enabled [boolean]

If set to true, schedules backups automatically. Default is false.

--auto-backup-window [text]

Specifying a two hour slot when the backup should kick in eg:-
SLOT_ONE,SLOT_TWO. Default is anytime

--backup-destination [complex type]

backup destination list

--character-set [text]

The character set for the database. The default is AL32UTF8. Allowed
values are: AL32UTF8, AR8ADOS710, AR8ADOS720, AR8APTEC715,
AR8ARABICMACS, AR8ASMO8X, AR8ISO8859P6, AR8MSWIN1256, AR8MUSSAD768,
AR8NAFITHA711, AR8NAFITHA721, AR8SAKHR706, AR8SAKHR707, AZ8ISO8859P9E,
BG8MSWIN, BG8PC437S, BLT8CP921, BLT8ISO8859P13, BLT8MSWIN1257,
BLT8PC775, BN8BSCII, CDN8PC863, CEL8ISO8859P14, CL8ISO8859P5,
CL8ISOIR111, CL8KOI8R, CL8KOI8U, CL8MACCYRILLICS, CL8MSWIN1251,
EE8ISO8859P2, EE8MACCES, EE8MACCROATIANS, EE8MSWIN1250, EE8PC852,
EL8DEC, EL8ISO8859P7, EL8MACGREEKS, EL8MSWIN1253, EL8PC437S, EL8PC851,
EL8PC869, ET8MSWIN923, HU8ABMOD, HU8CWI2, IN8ISCII, IS8PC861,
IW8ISO8859P8, IW8MACHEBREWS, IW8MSWIN1255, IW8PC1507, JA16EUC,
JA16EUCTILDE, JA16SJIS, JA16SJISTILDE, JA16VMS, KO16KSC5601,
KO16KSCCS, KO16MSWIN949, LA8ISO6937, LA8PASSPORT, LT8MSWIN921,
LT8PC772, LT8PC774, LV8PC1117, LV8PC8LR, LV8RST104090, N8PC865,
NE8ISO8859P10, NEE8ISO8859P4, RU8BESTA, RU8PC855, RU8PC866,
SE8ISO8859P3, TH8MACTHAIS, TH8TISASCII, TR8DEC, TR8MACTURKISHS,
TR8MSWIN1254, TR8PC857, US7ASCII, US8PC437, UTF8, VN8MSWIN1258,
VN8VN3, WE8DEC, WE8DG, WE8ISO8859P1, WE8ISO8859P15, WE8ISO8859P9,
WE8MACROMAN8S, WE8MSWIN1252, WE8NCR4970, WE8NEXTSTEP, WE8PC850,
WE8PC858, WE8PC860, WE8ROMAN8, ZHS16CGB231280, ZHS16GBK, ZHT16BIG5,
ZHT16CCDC, ZHT16DBT, ZHT16HKSCS, ZHT16MSWIN950, ZHT32EUC, ZHT32SOPS,
ZHT32TRIS.

--db-home-id [text]

The Db Home Id to create this database under.

--db-system-id [text]

The Db System Id to create this database under. Either --db-system-id
or --vm-cluster-id must be specified, but if both are passed, --vm-
cluster-id will be ignored.

--db-unique-name [text]

The database unique name. It must be greater than 3 characters, but at
most 30 characters, begin with a letter, and contain only letters,
numbers, and underscores. The first eight characters must also be
unique within a Database Domain and within a Database System or VM
Cluster. In addition, if it is not on a VM Cluster it might either be
identical to the database name or prefixed by the datbase name and
followed by an underscore.

--db-version [text]

A valid Oracle database version. To get a list of supported versions,
use the command 'oci db version list'.

--db-workload [text]

Database workload type. Allowed values are: OLTP, DSS

Accepted values are:

   DSS, OLTP

--from-json [text]

Provide input to this command as a JSON document from a file using the
file://path-to/file syntax.

The "--generate-full-command-json-input" option can be used to
generate a sample json file to be used with this command option. The
key names are pre-populated and match the command option names
(converted to camelCase format, e.g. compartment-id -->
compartmentId), while the values of the keys need to be populated by
the user before using the sample file as an input to this command. For
any command option that accepts multiple values, the value of the key
can be a JSON array.

Options can still be provided on the command line. If an option exists
in both the JSON document and the command line then the command line
specified value will be used.

For examples on usage of this option, please see our "using CLI with
advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Conte
nt/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--max-wait-seconds [integer]

The maximum time to wait for the resource to reach the lifecycle state
defined by "--wait-for-state". Defaults to 1200 seconds.

--ncharacter-set [text]

National character set for the database. The default is AL16UTF16.
Allowed values are: AL16UTF16 or UTF8.

--pdb-name [text]

Pluggable database name. It must begin with an alphabetic character
and can contain a maximum of eight alphanumeric characters. Special
characters are not permitted. Pluggable database should not be same as
database name.

--recovery-window-in-days [integer range]

The number of days between the current and the earliest point of
recoverability covered by automatic backups (1 to 60).

--source [text]

The source of database: NONE for creating a new database. DB_BACKUP
for creating a new database by restoring from a database backup.

Accepted values are:

   DB_BACKUP, NONE, VM_CLUSTER_NEW

--vm-cluster-id [text]

The Vm Cluster Id to create this database under. Either --db-system-id
or --vm-cluster-id must be specified, but if both are passed, --vm-
cluster-id will be ignored.

--wait-for-state [text]

This operation creates, modifies or deletes a resource that has a
defined lifecycle state. Specify this option to perform the action and
then wait until the resource reaches a given lifecycle state. Multiple
states can be specified, returning on the first state. For example, "
--wait-for-state" SUCCEEDED "--wait-for-state" FAILED would return on
whichever lifecycle state is reached first. If timeout is reached, a
return code of 2 is returned. For any other error, a return code of 1
is returned.

Accepted values are:

   AVAILABLE, FAILED, PROVISIONING, TERMINATED, TERMINATING, UPDATING

--wait-interval-seconds [integer]

Check every "--wait-interval-seconds" to see whether the resource to
see if it has reached the lifecycle state defined by "--wait-for-
state". Defaults to 30 seconds.


Global Parameters
=================

Use "oci --help" for help on global parameters.

"--auth", "--cert-bundle", "--cli-rc-file", "--config-file", "--
debug", "--defaults-file", "--endpoint", "--generate-full-command-
json-input", "--generate-param-json-input", "--help", "--no-retry", "
--opc-client-request-id", "--opc-request-id", "--output", "--profile",
"--query", "--raw-output", "--region", "--request-id", "--version",
"-?", "-d", "-h", "-v"
